<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="email" id="errors-by-to-relay">

 <lire:title>Failed Deliveries By Relay Email Report</lire:title>
 <lire:description>
  <para>This report shows the errors that happened for each relay that
   was contacted.
  </para>
 </lire:description>

 <lire:display-spec>
  <lire:title>Failed Deliveries By Relay</lire:title>

  <lire:description>
   <para>
    Note: Only printed is the first word of the stat= field.
    Therefore:
    <variablelist>

     <varlistentry>
      <term>service</term>
      <listitem><para>means service unavailable</para>
      </listitem>
     </varlistentry>

     <varlistentry>
      <term>user</term>
      <listitem><para>means user unknown</para>
      </listitem>
     </varlistentry>

     <varlistentry>
      <term>host</term>
      <listitem><para>means host unknown</para>
      </listitem>
     </varlistentry>

     <varlistentry>
      <term>data</term>
      <listitem><para>means data format error</para>
      </listitem>
     </varlistentry>

     <varlistentry>
      <term>remote</term>
      <listitem><para>means remote protocol error</para>
      </listitem>
     </varlistentry>

     <varlistentry>
      <term>can't</term>
      <listitem><para>means can't create output</para>
      </listitem>
     </varlistentry>
    </variablelist>
   </para>
  </lire:description>
 </lire:display-spec>

 <lire:filter-spec>
  <lire:ne arg1="$stat" arg2="sent"/>
 </lire:filter-spec>

 <lire:report-calc-spec>
  <lire:group sort="-error_total">
   <lire:field name="to_relay_host"/>

   <lire:group sort="-error_total">
    <lire:field name="stat"/>

    <lire:count name="error_total" label="Deliveries"/>
    <lire:count name="error_ratio" ratio="table" label="% Total"/>
    <lire:count name="error_group_ratio" ratio="table" label="% Group"/>
   </lire:group>
  </lire:group>

 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->
